Skip to content

Purchase Orders

Deprecated. These endpoints are deprecated and will not be maintained going forward. If you currently rely on them and this is a blocker, please reach out to us.

Get and create purchase orders for a sourcing scenario.

Get Purchase Orders
deprecated

Request

Deprecated. This endpoint is deprecated and will not be maintained going forward. If you currently rely on this endpoint and this is a blocker, please reach out to us.

Get all the purchase orders from Luminovo relating to one RfQ.

Security
BearerAuth
Path
rfq_idstring, (uuid)required

The ID of the RfQ

Query
sourcing_scenario_idstring, (uuid)

The sourcing scenario for which to filter purchase order.

When a customer has confirmed an order, meaning they have paid for one of the sourcing scenarios, we can infer the sourcing_scenario_id. This is why this parameter is optional.

Important: if purchase orders have already been created for another sourcing scenario, this endpoint will return an empty list of purchase orders. This is a safety precaution to prevent accidentally ordering two different sourcing scenarios.

GET
/purchase-orders/{rfq_id}
curl -i -X GET \
  'https://api.luminovo.com/purchase-orders/{rfq_id}?sourcing_scenario_id=497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success response

Bodyapplication/json
pendingArray of objects(Pending purchase order draft)required
createdArray of objects(Purchase order)required
Response
{ "pending": [ {} ], "created": [ {} ] }